#!/bin/bash

dbUser=$1
dbPassword=$2
dbHost=$3
dbName=$4
dbPort=$5
backUpPath=$6
ossPath=$7
hostName=$(echo $HOSTNAME)

PATH=PATH:/usr/bin:/usr/sbin:/usr/local/bin


cd /tmp
rm ${hostName}_${dbName}.sql_bak3.tar.gz || true
mv ${hostName}_${dbName}.sql_bak2.tar.gz ${dbName}.sql_bak3.tar.gz  || true
mv ${hostName}_${dbName}.sql_bak1.tar.gz ${dbName}.sql_bak2.tar.gz || true
mv ${hostName}_${dbName}.sql.tar.gz ${dbName}.sql_bak1.tar.gz || true

/usr/bin/mysqldump -R --opt --protocol=TCP --user=${dbUser} --password=${dbPassword} --host=${dbHost} --port=${dbPort} ${dbName}  > ${hostName}_${dbName}.sql
rm sql -fr || true
mkdir sql
mv ${hostName}_${dbName}.sql sql
tar -czvf ${hostName}_${dbName}.sql.tar.gz sql

cp /tmp/${hostName}_${dbName}.sql.tar.gz ${backUpPath} -f
#echo "ossPath: "${ossPath}
#ossutil cp ${dbName}.sql.tar.gz oss://${ossPath}/ -f
